import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:device_properties/device_properties_method_channel.dart';

void main() {
  MethodChannelDeviceProperties platform = MethodChannelDeviceProperties();
  const MethodChannel channel = MethodChannel('device_properties');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '2';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getProperties', () async {
    expect(await platform.getProperties(), null);
  });
}
